Debian Bug report logs - #365238
zsh: Please include _vserver completion function

version graph

Package: zsh; Maintainer for zsh is Debian Zsh Maintainers <pkg-zsh-devel@lists.alioth.debian.org>; Source for zsh is src:zsh.

Reported by: Micah Anderson <micah@debian.org>

Date: Fri, 28 Apr 2006 17:33:07 UTC

Severity: wishlist

Tags: patch

Found in version zsh/4.3.2-8

Fixed in version zsh/4.3.2-11

Done: Clint Adams <schizo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Clint Adams <schizo@debian.org>:
Bug#365238; Package zsh. Full text and rfc822 format available.

Acknowledgement sent to Micah Anderson <micah@debian.org>:
New Bug report received and forwarded. Copy sent to Clint Adams <schizo@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Micah Anderson <micah@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: zsh: Please include _vserver completion function
Date: Fri, 28 Apr 2006 13:32:25 -0400
[Message part 1 (text/plain, inline)]
Package: zsh
Version: 4.3.2-8
Severity: wishlist
Tags: patch

Howdy,

Please add this completion function to the package, and if possible,
send it upstream. It should go into Unix/

Micah


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-1-vserver-686
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages zsh depends on:
ii  debconf [debconf-2.0]         1.5.0      Debian configuration management sy
ii  libc6                         2.3.6-7    GNU C Library: Shared libraries
ii  libncurses5                   5.5-1.1    Shared libraries for terminal hand

Versions of packages zsh recommends:
ii  libcap1                       1:1.10-14  support for getting/setting POSIX.
ii  libpcre3                      6.4-1.1    Perl 5 Compatible Regular Expressi

-- no debconf information
[_vserver (text/plain, attachment)]

Reply sent to Clint Adams <schizo@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Micah Anderson <micah@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 365238-close@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: 365238-close@bugs.debian.org
Subject: Bug#365238: fixed in zsh 4.3.2-11
Date: Fri, 02 Jun 2006 14:37:39 -0700
Source: zsh
Source-Version: 4.3.2-11

We believe that the bug you reported is fixed in the latest version of
zsh, which is due to be installed in the Debian FTP archive:

zsh-dbg_4.3.2-11_sparc.deb
  to pool/main/z/zsh/zsh-dbg_4.3.2-11_sparc.deb
zsh-dev_4.3.2-11_sparc.deb
  to pool/main/z/zsh/zsh-dev_4.3.2-11_sparc.deb
zsh-doc_4.3.2-11_all.deb
  to pool/main/z/zsh/zsh-doc_4.3.2-11_all.deb
zsh-static_4.3.2-11_sparc.deb
  to pool/main/z/zsh/zsh-static_4.3.2-11_sparc.deb
zsh_4.3.2-11.diff.gz
  to pool/main/z/zsh/zsh_4.3.2-11.diff.gz
zsh_4.3.2-11.dsc
  to pool/main/z/zsh/zsh_4.3.2-11.dsc
zsh_4.3.2-11_sparc.deb
  to pool/main/z/zsh/zsh_4.3.2-11_sparc.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 365238@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Clint Adams <schizo@debian.org> (supplier of updated zsh package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri,  2 Jun 2006 16:33:05 -0400
Source: zsh
Binary: zsh zsh-dev zsh-static zsh-dbg zsh-doc
Architecture: source sparc all
Version: 4.3.2-11
Distribution: unstable
Urgency: medium
Maintainer: Clint Adams <schizo@debian.org>
Changed-By: Clint Adams <schizo@debian.org>
Description: 
 zsh        - A shell with lots of features
 zsh-dbg    - A shell with lots of features (debugging symbols)
 zsh-dev    - A shell with lots of features (development files)
 zsh-doc    - zsh documentation - info/HTML format
 zsh-static - A shell with lots of features (static link)
Closes: 342348 365238 366417 368404 368903
Changes: 
 zsh (4.3.2-11) unstable; urgency=medium
 .
   * Patch from Oliver Kiddle to update subversion completion
     for diff and resolved subcommands.  closes: #342348, #368903.
   * Update bzr completion from HEAD.
   * Add completion for vserver.  closes: #365238.
   * Remove /usr/bin/X11 from /etc/zsh/zshenv PATH.  closes: #366417.
   * Patch from R.Ramkumar to canonicalize completion alternatives
     for use in umount.  closes: #368404.
Files: 
 a21dc7b2bfdee382778fba82127d9325 739 shells optional zsh_4.3.2-11.dsc
 1b55caeee49c09ad2c1e1501a410a8c4 139605 shells optional zsh_4.3.2-11.diff.gz
 edeccf6d1a996c8604c93a5e4499469d 700508 shells optional zsh-doc_4.3.2-11_all.deb
 db2415c8e5c14c049bba5ee9f6aff00c 2234138 shells optional zsh_4.3.2-11_sparc.deb
 99d1f80420460b26b51419744a58b1cb 736114 devel extra zsh-dbg_4.3.2-11_sparc.deb
 1cda37837665d8c346d35e9295f3b9b4 800780 shells optional zsh-static_4.3.2-11_sparc.deb
 320a766ef194aa4013866a1c0ecc14a9 62344 libdevel optional zsh-dev_4.3.2-11_sparc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)
Comment: Debian!

iD8DBQFEgKuU5m0u66uWM3ARAk3dAKDW53sYZHDmEmBERWG0o9BBoYDchwCgrbSw
aP8tG5ZbTxfBAuO2dtF5D9s=
=URJM
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 06:54:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:25:12 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.